TOWUPPER(3)

NAME
towupper - convert a wide character to uppercase

SYNOPSIS
#include <wctype.h>

wint_t towupper(wint_t wc);

DESCRIPTION
The towupper() function is the wide-character equivalent of the toupper(3) function. If wc is a wide character, it is converted to uppercase. Characters which do not have case are returned unchanged. If wc is WEOF, WEOF is returned.

RETURN VALUE
The towupper() function returns the uppercase equivalent of wc, or WEOF if wc is WEOF.

ATTRIBUTES

  Multithreading (see pthreads(7))
The towupper() function is thread-safe with exceptions. It can be safely used in multithreaded applications, as long as setlocale(3) is not called to change the locale during its execution.

CONFORMING TO
C99.

NOTES
The behavior of towupper() depends on the LC_CTYPE category of the current locale.

This function is not very appropriate for dealing with Unicode characters, because Unicode knows about three cases: upper, lower and title case.

SEE ALSO
iswupper(3), towctrans(3), towlower(3)

COLOPHON
This page is part of release 3.57 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.